
/*企业列表*/
.companyList li {
    width: 25%;
    float: left;
    box-sizing: border-box;
    padding: 0 5px;
    margin-bottom: 10px;
}

    .companyList li .border {
        border: 1px solid #dbdbdb;
        padding: 5px;
        border-radius: 4px;
    }

    .companyList li .imgBox {
        float: left;
        width: 140px;
        height: 60px;
        padding: 5px;
        box-sizing: border-box;
        margin-right: 10px;
    }

    .companyList li .info {
        overflow: hidden;
        height: 60px;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

        .companyList li .info .name {
            font-size: 14px;
            font-weight: 600;
            display: -webkit-box; /* 设置为 WebKit 内核的弹性盒子模型 */
            -webkit-box-orient: vertical; /* 垂直排列 */
            -webkit-line-clamp: 2; /* 限制显示两行 */
            overflow: hidden; /* 隐藏超出范围的内容 */
            text-overflow: ellipsis; /* 使用省略号 */
        }

        .companyList li .info .brandName {
            font-size: 12px;
            color: #999;
        }

    .companyList li:hover .border {
        border-color: var(--theme-color);
    }

@media (max-width: 1000px) {
    .companyList li {
        width: 33.3%;
    }
}

@media (max-width: 768px) {
    .companyList li {
        width: 50%;
    }

        .companyList li .imgBox {
            float: none;
            width: 100%;
            height: auto;
            padding-bottom: 42.8%;
            margin-right: 0;
            margin-bottom: 10px;
        }

        .companyList li .info {
            width: 100%;
        }
}
